package com.JUnitAssignmentTests;

import org.junit.runner.JUnitCore;
import org.junit.runner.Result;
import org.junit.runner.notification.Failure;

public class TestRunnerClass {
    public static void main(String[] args) {
        Result res = JUnitCore.runClasses(SorterTest.class);
        for (Failure failure: res.getFailures()) {
            System.out.println(failure.toString());
        }

        System.out.println("number of tests: " + res.getRunCount());
        System.out.println("Tests successful: " + res.wasSuccessful());
        System.out.println("Number of test cases Failed: " + res.getFailureCount());
    }
}
